gtkmm: Gtk::TargetList Class Reference

gtkmm 3.11.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gtk::TargetList Class Reference

## Public Member Functions
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GtkTargetList* | gobj ()
| Provides access to the underlying C instance. More...
const GtkTargetList* | gobj () const
| Provides access to the underlying C instance. More...
GtkTargetList* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
void | add (const Glib::ustring& target, TargetFlags flags=TargetFlags(0), guint info=0)
| Appends another target to a Gtk::TargetList. More...
void | add (const std::vector< TargetEntry >& targets)
void | add_text_targets (guint info)
| Appends the text targets supported by Gtk::Selection to the target list. More...
void | add_rich_text_targets (guint info, bool deserializable, const Glib::RefPtr< TextBuffer >& buffer)
| Appends the rich text targets registered with Gtk::TextBuffer::register_serialize_format() or Gtk::TextBuffer::register_deserialize_format() to the target list. More...
void | add_image_targets (guint info, bool writable)
| Appends the image targets supported by Gtk::Selection to the target list. More...
void | add_uri_targets (guint info)
| Appends the URI targets supported by Gtk::Selection to the target list. More...
void | remove (const Glib::ustring& target)
      TODO:
void gtk_target_list_add_table (GtkTargetList *list, const GtkTargetEntry *targets, guint ntargets); More...
bool | find (const Glib::ustring& target, guint* info) const
| Looks up a given target in a Gtk::TargetList. More...

## Static Public Member Functions
static Glib::RefPtr < Gtk::TargetList > | create (const std::vector< TargetEntry >& targets)

## Protected Member Functions
| TargetList ()
void | operator delete (void*, std::size_t)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::TargetList > | wrap (GtkTargetList* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Constructor & Destructor Documentation

Gtk::TargetList::TargetList | ( | ) |  |
| protected

## Member Function Documentation

void Gtk::TargetList::add | ( | const Glib::ustring & | target,
|  | TargetFlags | flags = `TargetFlags(0)`,
|  | guint | info = `0`
| ) |  |

Appends another target to a Gtk::TargetList.

Parameters

  target | The interned atom representing the target.
  flags | The flags for this target.
  info | An ID that will be passed back to the application.

void Gtk::TargetList::add | ( | const std::vector< TargetEntry >& | targets) |  |

void Gtk::TargetList::add_image_targets | ( | guint | info,
|  | bool | writable
| ) |  |

Appends the image targets supported by Gtk::Selection to the target list.

All targets are added with the same info.

Since gtkmm 2.6:

Parameters

  info | An ID that will be passed back to the application.
  writable | Whether to add only targets for which GTK+ knows how to convert a pixbuf into the format.

void Gtk::TargetList::add_rich_text_targets | ( | guint | info,
|  | bool | deserializable,
|  | const Glib::RefPtr< TextBuffer >& | buffer
| ) |  |

Appends the rich text targets registered with Gtk::TextBuffer::register_serialize_format() or Gtk::TextBuffer::register_deserialize_format() to the target list.

All targets are added with the same info.

Since gtkmm 2.10:

Parameters

  info | An ID that will be passed back to the application.
  deserializable | If `true`, then deserializable rich text formats will be added, serializable formats otherwise.
  buffer | A Gtk::TextBuffer.

void Gtk::TargetList::add_text_targets | ( | guint | info) |  |

Appends the text targets supported by Gtk::Selection to the target list.

All targets are added with the same info.

Since gtkmm 2.6:

Parameters

  info | An ID that will be passed back to the application.

void Gtk::TargetList::add_uri_targets | ( | guint | info) |  |

Appends the URI targets supported by Gtk::Selection to the target list.

All targets are added with the same info.

Since gtkmm 2.6:

Parameters

  info | An ID that will be passed back to the application.

static Glib::RefPtr<Gtk::TargetList> Gtk::TargetList::create | ( | const std::vector< TargetEntry >& | targets) |  |
| static

bool Gtk::TargetList::find | ( | const Glib::ustring & | target,
|  | guint * | info
| ) |  | const

Looks up a given target in a Gtk::TargetList.

Parameters

  target | An interned atom representing the target to search for.
  info | A pointer to the location to store application info for target, or `0`.

Returns
  `true` if the target was found, otherwise `false`.

GtkTargetList* Gtk::TargetList::gobj | ( | ) |  |

Provides access to the underlying C instance.

const GtkTargetList* Gtk::TargetList::gobj | ( | ) |  | const

Provides access to the underlying C instance.

GtkTargetList* Gtk::TargetList::gobj_copy | ( | ) |  | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

void Gtk::TargetList::operator delete | ( | void * | ,
|  | std::size_t |
| ) |  |
| protected

void Gtk::TargetList::reference | ( | ) |  | const

Increment the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

void Gtk::TargetList::remove | ( | const Glib::ustring & | target) |  |

      TODO:

void gtk_target_list_add_table (GtkTargetList *list, const GtkTargetEntry *targets, guint ntargets);

void Gtk::TargetList::unreference | ( | ) |  | const

Decrement the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::TargetList > wrap | ( | GtkTargetList * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/targetlist.h